package net.bradball.android.androidapptemplate.ui

import androidx.fragment.app.Fragment
import androidx.viewpager2.adapter.FragmentStateAdapter

class FragmentViewPagerAdapter(private val fragments: List<Int>, host: Fragment): FragmentStateAdapter(host) {

    override fun getItemCount(): Int = fragments.size

    override fun createFragment(position: Int): Fragment {
        return ChildFragment()
    }

}